import time
from pycompss.api.api import compss_wait_on
from pycompss.api.task import task

@task(returns=int)
def fibonacci(n):
    if n < 2:
        return n
    else:
        return fibonacci(n-1) + fibonacci(n-2)

def main():
    start_time = time.time()

    results = [fibonacci(n) for n in range(10)]

    results = compss_wait_on(results)

    print("Fibonacci sequence:", results)
    print("Time taken:", time.time() - start_time)

if __name__ == '__main__':
    main()
